
%global qt_module qtlanguageserver

%global majmin 6.5

Name:     qt6-%{qt_module}
Version:  6.5.0
Release:  1
Summary:  Implementation of the Language Server Protocol
License: GPL-3.0-only WITH Qt-GPL-exception-1.0
URL:      https://www.qt.io

Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  qt6-qtbase-devel >= %{version}
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

%description
Qt Language Server implements the Language Server Protocol specification and
the JsonRpc 2.0 protocol.

%package devel
Summary:        Qt 6 LanguageServer library - Development files
Requires: %{name}%{?_isa} = %{version}-%{release}	
Requires: qt6-qtbase-devel%{?_isa}
%description devel
%{summary}.

%prep
%autosetup -p1 -n %{qt_module}-everywhere-src-%{version}


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}
cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt6_libdir}
for prl_file in libQt6*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
		rm -fv "$(basename ${prl_file} .prl).la"
		sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
	fi
done
popd

%ldconfig_scriptlets

%files
%license LICENSES/*
%{_qt6_libdir}/libQt6JsonRpc.so.6*
%{_qt6_libdir}/libQt6LanguageServer.so.6*

%files devel
%{_qt6_includedir}/QtJsonRpc/
%{_qt6_includedir}/QtLanguageServer/
%{_qt6_libdir}/cmake/Qt6JsonRpcPrivate/
%{_qt6_libdir}/cmake/Qt6LanguageServerPrivate/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtLanguageServer*
%{_qt6_libdir}/libQt6JsonRpc.so
%{_qt6_libdir}/libQt6JsonRpc.prl
%{_qt6_libdir}/libQt6LanguageServer.so
%{_qt6_libdir}/libQt6LanguageServer.prl
%{_qt6_archdatadir}/modules/LanguageServerPrivate.json
%{_qt6_mkspecsdir}/modules/qt_lib_jsonrpc_private.pri
%{_qt6_mkspecsdir}/modules/qt_lib_languageserver_private.pri
%{_qt6_archdatadir}/modules/JsonRpcPrivate.json
%{_qt6_archdatadir}/metatypes/qt6*_metatypes.json

%changelog
* Thu May 4 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Mon Oct 24 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package
